Loading...
Searching...
No Matches
etl::private_message_timer::list Class Reference

A specialised intrusive linked list for timer data. More...

`#include <message_timer.h>`

## Public Member Functions

| list (etl::message_timer_data *ptimers_)
bool | empty () const
void | insert (etl::timer::id::type id_)
void | remove (etl::timer::id::type id_, bool has_expired)
etl::message_timer_data & | front ()
const etl::message_timer_data & | front () const
etl::timer::id::type | begin ()
etl::timer::id::type | next (etl::timer::id::type last)
void | clear ()

## Detailed Description

A specialised intrusive linked list for timer data.

The documentation for this class was generated from the following file:

- include/etl/message_timer.h